classdef Thickness
   % This class sets the propeller blade max thickness based on the 
   % Wageningen B-series 
   properties
       D;
       R;
       Z;
       r;
       Ar;
       Br;
   end
   methods
       function obj = Thickness(D,Z)
          obj.D = D;
          obj.R = obj.D/2;
          obj.Z = Z;
          
          obj.r = linspace(0.0,1,11)*obj.R;
          
          obj.Ar = [0.0650, 0.0588, 0.0526, 0.0464, 0.0402, 0.0340, 0.0278, 0.0216, 0.0154, 0.0092, 0.0030]*obj.D;
          obj.Br = [0.0050, 0.0045, 0.0040, 0.0035, 0.0030, 0.0025, 0.0020, 0.0015, 0.0010, 0.0005, 0.0000]*obj.D;
       end
       function t = t(obj,r)
           Ar_int = interp1(obj.r,obj.Ar,r);
           Br_int = interp1(obj.r,obj.Br,r);
           t = Ar_int - Br_int*obj.Z;
       end
   end
end