function Cd = dragCoef(Rn, Cl, t_max)
    % This function calculates the drag coeffient from Reynolds number,
    % lift coefficient and maximum sectional thickness
    Cd = (0.075./(log10(Rn)-2).^2).*(1+2.*t_max).*(1+(Cl.^2)./8);
end