function w = radialWake(obj,r,t)
    % This function is scaling model wake to full scale wake
    % Inputs are the propeller object, radus vector and thrust deduction
    w_m = radialWake_model(obj,r);
    
    %t = 0.289; % estimation of thrust deduction
    
    Rn = obj.Uship*obj.Lship/obj.nu;
    Rn_m = obj.Umodel*obj.Lmodel/obj.nu;
    
    CF = 0.075/(log10(Rn)-2)^2;
    CF_m = 0.075/(log10(Rn_m)-2)^2;
    
    w = zeros(1,length(w_m));
    
    for i = 1:length(w_m)
       w(i) = 0.04+t+(w_m(i)-0.04-t)*CF/CF_m;
       if w(i) > w_m(i);
           w(i) = w_m(i);
       end
    end
end